# Visualization
TKService
Image

# Image_DataMapIteratorOfLookupTable Class Reference

`#include <Image_DataMapIteratorOfLookupTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_DataMapIteratorOfLookupTable ()
Standard_EXPORT | Image_DataMapIteratorOfLookupTable (const Image_LookupTable &aMap)
Standard_EXPORT void | Initialize (const Image_LookupTable &aMap)
Standard_EXPORT const Aspect_IndexPixel & | Key () const
Standard_EXPORT const Aspect_IndexPixel & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Image_DataMapIteratorOfLookupTable::Image_DataMapIteratorOfLookupTable | ( |  | ) |

Standard_EXPORT Image_DataMapIteratorOfLookupTable::Image_DataMapIteratorOfLookupTable | ( | const Image_LookupTable & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Image_DataMapIteratorOfLookupTable::Initialize | ( | const Image_LookupTable & | aMap | ) |

Standard_EXPORT const Aspect_IndexPixel& Image_DataMapIteratorOfLookupTable::Key | ( |  | ) | const

void Image_DataMapIteratorOfLookupTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_DataMapIteratorOfLookupTable::operator new | ( | size_t | size | ) | `[inline]`

void* Image_DataMapIteratorOfLookupTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Aspect_IndexPixel& Image_DataMapIteratorOfLookupTable::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Image_DataMapIteratorOfLookupTable.hxx